 mediaportal/Core/TagReader/CUE/CueSharp.cs |   12 +++++++++++-
 1 files changed, 11 insertions(+), 1 deletions(-)

diff --git a/mediaportal/Core/TagReader/CUE/CueSharp.cs b/mediaportal/Core/TagReader/CUE/CueSharp.cs
index 2b5a03c..69720ea 100644
--- a/mediaportal/Core/TagReader/CUE/CueSharp.cs
+++ b/mediaportal/Core/TagReader/CUE/CueSharp.cs
@@ -50,6 +50,7 @@ namespace MediaPortal.TagReader
 
     #region Properties
 
+    public bool IsMulitFileCue { get; set; }
     /// <summary>
     /// Returns/Sets track in this cuefile.
     /// </summary>
@@ -266,6 +267,7 @@ namespace MediaPortal.TagReader
     {
       //-1 means still global,
       //all others are track specific
+        int fileCount = 0;
       int trackOn = -1;
       AudioFile currentFile = new AudioFile();
 
@@ -287,7 +289,15 @@ namespace MediaPortal.TagReader
             ParseString(file[i], trackOn);
             break;
           case "FILE":
-            currentFile = ParseFile(file[i], trackOn);
+            if (fileCount == 0)
+            {
+                currentFile = ParseFile(file[i], trackOn);
+                fileCount++;
+            }
+            else
+            {
+                IsMulitFileCue = true;
+            }
             break;
           case "FLAGS":
             ParseFlags(file[i], trackOn);
